import request from "@/utils/request"

/** 牧场 — 分页列表 */
export function listPasture(query) {
  return request({
    url: "/dataModel/pasture/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getPasture(id) {
  return request({
    url: "/dataModel/pasture/" + id,
    method: "get"
  })
}

/** 新增 */
export function addPasture(data) {
  return request({
    url: "/dataModel/pasture",
    method: "post",
    data
  })
}

/** 修改 */
export function updatePasture(data) {
  return request({
    url: "/dataModel/pasture",
    method: "put",
    data
  })
}

/** 删除（逻辑删除） */
export function delPasture(ids) {
  return request({
    url: "/dataModel/pasture/" + ids,
    method: "delete"
  })
}
